### File

`packages/core/src/lib/components/euim-about/euim-help-support/euim-help-support.component.ts`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `euim-help-support`
standalone | `true`
imports | `TranslateModule` `CommonModule` `IonicModule` `EuimAvatarModule` `EuimLabelModule`
styleUrls | `./styles/_index.scss`
templateUrl | `./euim-help-support.component.html`

### Index

###### Properties

- className

###### Methods

- getLink
- getLinkClass
- isEndIconLink
- onItemClick
- setTargetAttribute

###### Inputs

- helpAndSupportItems

###### HostBindings

- class

### Constructor

`constructor(router: Router)`

Parameters :

Name | Type | Optional
router | `Router` | No

### Inputs

helpAndSupportItems
Type : `HelpAndSupportItem[]`
Default value : `[]`

### HostBindings

class
Type : `string`
Default value : `'euim-help-support'`

### Methods

getLink
`getLink(item?: Item, linkType?: string, linkTitle?: string)`

Parameters :

Name | Type | Optional
item | `Item` | Yes
linkType | `string` | Yes
linkTitle | `string` | Yes

Returns : `string`

getLinkClass
`getLinkClass(item: Item)`

Parameters :

Name | Type | Optional
item | `Item` | No

Returns : `string`

isEndIconLink
`isEndIconLink(item: Item)`

Parameters :

Name | Type | Optional
item | `Item` | No

Returns : `boolean`

onItemClick
`onItemClick(item: Item, linkType: string, linkTitle: string)`

Parameters :

Name | Type | Optional
item | `Item` | No
linkType | `string` | No
linkTitle | `string` | No

Returns : `void`

setTargetAttribute
`setTargetAttribute(item?: Item, linkType?: string)`

Parameters :

Name | Type | Optional
item | `Item` | Yes
linkType | `string` | Yes

Returns : `string`

### Properties

className
Type : `string`
Default value : `'euim-help-support'`
Decorators : `@HostBinding('class')`

# results matching ""

# No results matching ""